## GtkFontChooserDialog

GtkFontChooserDialog — A dialog for selecting fonts

## Functions

GtkWidget * | gtk_font_chooser_dialog_new ()

## Types and Values

struct | GtkFontChooserDialog
struct | GtkFontChooserDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GtkFontChooserDialog

## Implemented Interfaces

GtkFontChooserDialog implements AtkImplementorIface, GtkBuildable and GtkFontChooser.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkFontChooserDialog widget is a dialog for selecting a font. It implements the GtkFontChooser interface.

### GtkFontChooserDialog as GtkBuildable

The GtkFontChooserDialog implementation of the GtkBuildable interface exposes the buttons with the names “select_button” and “cancel_button”.

## Functions

### gtk_font_chooser_dialog_new ()

    GtkWidget *
    gtk_font_chooser_dialog_new (const gchar *title,
                                 GtkWindow *parent);

Creates a new GtkFontChooserDialog.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`. | [allow-none]

#### Returns

a new GtkFontChooserDialog

Since 3.2

## Types and Values

### struct GtkFontChooserDialog

    struct GtkFontChooserDialog;

### struct GtkFontChooserDialogClass

    struct GtkFontChooserDialogClass {
      GtkDialogClass parent_class;
    };

#### Members

GtkDialogClass `parent_class`; | The parent class. |

## See Also

GtkFontChooser, GtkDialog